summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-08-28 08:49:28 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2020-08-28 08:49:44 +0100
commitfd841336dfdefbc14907e2d9b1eb1a1a3f5f8b8e (patch)
treeb2a2d87f9441872aaf44cb675ea9ac5a8dcd09bb
parentsys-libs/blocksruntime: new package, clang's -fblocks runtime support (diff)
downloadgentoo-fd841336dfdefbc14907e2d9b1eb1a1a3f5f8b8e.tar.gz
gentoo-fd841336dfdefbc14907e2d9b1eb1a1a3f5f8b8e.tar.bz2
gentoo-fd841336dfdefbc14907e2d9b1eb1a1a3f5f8b8e.zip
app-forensics/honggfuzz: enable clang support with USE=clang
Reported-by: Agostino Sarubbo Closes: https://bugs.gentoo.org/729256 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rw-r--r--app-forensics/honggfuzz/honggfuzz-2.3.1.ebuild5
-rw-r--r--app-forensics/honggfuzz/metadata.xml3
2 files changed, 6 insertions, 2 deletions
diff --git a/app-forensics/honggfuzz/honggfuzz-2.3.1.ebuild b/app-forensics/honggfuzz/honggfuzz-2.3.1.ebuild
index 4cb2cc639af..e3754c110db 100644
--- a/app-forensics/honggfuzz/honggfuzz-2.3.1.ebuild
+++ b/app-forensics/honggfuzz/honggfuzz-2.3.1.ebuild
@@ -12,12 +12,13 @@ SRC_URI="https://github.com/google/honggfuzz/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
-IUSE=""
+IUSE="clang"
RDEPEND="
>=sys-libs/binutils-libs-2.29:=
sys-libs/libunwind:=
app-arch/xz-utils
+ clang? ( sys-libs/blocksruntime )
"
DEPEND="${RDEPEND}"
@@ -35,7 +36,7 @@ PATCHES=(
pkg_pretend() {
if tc-is-clang; then
- die "${P} does not work on clang due to incomplete -fblock support: https://bugs.gentoo.org/729256. Please try gcc."
+ use clang || die "${P}: to use clang enable USE=clang for ${P} (bug #729256)."
fi
}
diff --git a/app-forensics/honggfuzz/metadata.xml b/app-forensics/honggfuzz/metadata.xml
index 06de019661a..c314b69929b 100644
--- a/app-forensics/honggfuzz/metadata.xml
+++ b/app-forensics/honggfuzz/metadata.xml
@@ -5,6 +5,9 @@
<email>slyfox@gentoo.org</email>
<name>Sergei Trofimovich</name>
</maintainer>
+ <use>
+ <flag name="clang">Enable clang support (pull <pkg>sys-libs/blocksruntime</pkg> dependency).</flag>
+ </use>
<upstream>
<remote-id type="github">google/honggfuzz</remote-id>
</upstream>